#include <iostream>

using namespace std;
int Resi(int D[],int G[],int l, int r, int x)
{
    int Broj=0;
    for(int i=l; i<=r; ++i)
    {
        if(x>=D[i]&&x<=G[i])
        {
            Broj++;
        }
    }
    return Broj;
}
int main()
{
    int N,M;
    cin>>N>>M;
    int D[N];
    int G[N];
    for(int i=0; i<N; ++i)
    {
        cin>>D[i]>>G[i];
    }
    int L[M];
    int R[M];
    int X[M];
    int Resenja[M];
    for(int i=0; i<M; ++i)
    {
        cin>>L[i]>>R[i]>>X[i];
        Resenja[i]=Resi(D,G,L[i]-1,R[i]-1,X[i]);
    }
    for(int i=0; i<M; ++i)
    {
        cout<<Resenja[i]<<endl;
    }
    return 0;
}